Bug 141697 - [GTK] Layout Test accessibility/color-well.html is failing
Summary: [GTK] Layout Test accessibility/color-well.html is failing
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2015-02-17 04:43 PST by Marcos Chavarría Teijeiro (irc: chavaone)
Modified: 2015-03-13 06:48 PDT (History)
13 users (show)

See Also:


Attachments
Patch (2.77 KB, patch)
2015-03-12 03:00 PDT, Marcos Chavarría Teijeiro (irc: chavaone)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcos Chavarría Teijeiro (irc: chavaone) 2015-02-17 04:43:07 PST
The accessibility/color-well.html layout test is failing since r179922 (http://trac.webkit.org/r179922)

The diff is the following:

--- /home/ch01/wk-tools/layout-test-results/accessibility/color-well-expected.txt
+++ /home/ch01/wk-tools/layout-test-results/accessibility/color-well-actual.txt
@@ -4,10 +4,10 @@
 On success, you will see a series of "PASS" messages, followed by "TEST COMPLETE".
 
 
-Role of input type=color is: AXRole: AXTextField
-Value of empty color well: AXValue: 
-Value of good color well: AXValue: #ff0000
-Value of bad color well: AXValue: purple
+Role of input type=color is: AXRole: AXColorWell
+Value of empty color well: AXValue: rgb 0.00000 0.00000 0.00000 1
+Value of good color well: AXValue: rgb 1.00000 0.00000 0.00000 1
+Value of bad color well: AXValue: rgb 0.00000 0.00000 0.00000 1
 PASS successfullyParsed is true
 
 TEST COMPLETE
Comment 1 Radar WebKit Bug Importer 2015-02-17 04:43:21 PST
<rdar://problem/19859143>
Comment 2 Radar WebKit Bug Importer 2015-02-17 04:44:08 PST
<rdar://problem/19859148>
Comment 3 Marcos Chavarría Teijeiro (irc: chavaone) 2015-03-12 03:00:44 PDT
Created attachment 248505 [details]
Patch
Comment 4 Joanmarie Diggs (irc: joanie) 2015-03-12 10:19:33 PDT
I'm not a reviewer, but LGTM.
Comment 5 WebKit Commit Bot 2015-03-13 06:48:01 PDT
Comment on attachment 248505 [details]
Patch

Clearing flags on attachment: 248505

Committed r181477: <http://trac.webkit.org/changeset/181477>
Comment 6 WebKit Commit Bot 2015-03-13 06:48:07 PDT
All reviewed patches have been landed.  Closing bug.